org.apache.hadoop.hdfs.server.namenode

## Enum Content

- java.lang.Object
- - java.lang.Enum<Content>
  - - org.apache.hadoop.hdfs.server.namenode.Content

- All Implemented Interfaces:
    Serializable, Comparable<Content>

      public enum Content
      extends Enum<Content>

  The content types such as file, directory and symlink to be computed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECTORY` The number of directories.
    `DISKSPACE` The total of disk space usage in bytes including replication.
    `FILE` The number of files.
    `LENGTH` The total of file length in bytes.
    `SNAPSHOT` The number of snapshots.
    `SNAPSHOTTABLE_DIRECTORY` The number of snapshottable directories.
    `SYMLINK` The number of symlinks.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Content` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Content[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final Content FILE

      The number of files.

    - #### DIRECTORY

          public static final Content DIRECTORY

      The number of directories.

    - #### SYMLINK

          public static final Content SYMLINK

      The number of symlinks.

    - #### LENGTH

          public static final Content LENGTH

      The total of file length in bytes.

    - #### DISKSPACE

          public static final Content DISKSPACE

      The total of disk space usage in bytes including replication.

    - #### SNAPSHOT

          public static final Content SNAPSHOT

      The number of snapshots.

    - #### SNAPSHOTTABLE_DIRECTORY

          public static final Content SNAPSHOTTABLE_DIRECTORY

      The number of snapshottable directories.

  - ### Method Detail

    - #### values

          public static Content[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Content c : Content.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Content valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.